import { Request, Response } from 'express';
import { defaultPaginationDto } from '../shared/shared.dto';
import { createLocationDto, updateLocationDto } from './locations.dto';
import { LocationsService } from './locations.service';
export declare class LocationsController {
    private readonly service;
    constructor(service: LocationsService);
    create(data: createLocationDto, owner_id: string, req: Request, res: Response): Promise<Response<any, Record<string, any>>>;
    getAll(owner_id: string, req: Request, res: Response): Promise<Response<any, Record<string, any>>>;
    filteredLocations(query: defaultPaginationDto, owner_id: string, req: Request, res: Response): Promise<Response<any, Record<string, any>>>;
    find(locationId: string, owner_id: string, req: Request, res: Response): Promise<Response<any, Record<string, any>>>;
    update(locationId: string, owner_id: string, data: updateLocationDto, req: Request, res: Response): Promise<Response<any, Record<string, any>>>;
    delete(locationId: string, owner_id: string, req: Request, res: Response): Promise<Response<any, Record<string, any>>>;
}
